<template>
  <q-page class="bg-grey-4 column">
  <div class="row q-pa-sm bg-primary">
   <q-input 
   class="col"
   @keyup.enter="addTask"
   square
   filled
   bg-color="white"
   v-model="newTask" 
   placeholder="Add task"
    dense>
        <template v-slot:append>
          <q-btn
          @click="addTask"
           round 
           dense 
           flat 
           icon="add" />
        </template>
      </q-input>
  </div>
   <q-list
   class="bg-white"
   separator
   bordered>
      
    <q-item 
      v-for="(task,index) in tasks"
      @click="task.done = !task.done"
      :class="{'done bg-blue-1': task.done}"
      :key="task.title"
      clickable
      v-ripple>
        <q-item-section avatar>
          <q-checkbox 
          v-model="task.done"
          class="no-pointer-events"
           color="primary" />
        </q-item-section>
        <q-item-section>
          <q-item-label>{{task.title}}</q-item-label>
        </q-item-section>
          <q-item-section
            v-if="task.done"
             side>
         <q-btn
          @click.stop="deleteTask(index)" 
           dense 
           push            
           color="white"
           text-color="primary" 
           round icon="delete" />
        </q-item-section>
      </q-item>
    </q-list>
    <div
     v-if="!tasks.length" 
     class="no-tasks absolute-center">
       <q-icon 
          name="check"
          size="100px"
          color="primary"/>

      <div class="text-h5 text-primary text-center">
        No task
      </div>
    </div>
  </q-page>
</template>

<script>
export default {
  data() {
    return {
      newTask: '',
      tasks: [
      {
        title: 'Buy fruits',
        done: false
      },
            {
        title: 'React',
        done: false
      },
            {
        title: 'Nodejs',
        done: false
      }
      ]
    }
  },
  methods: {
     deleteTask(index) {
             this.$q.dialog({
        dark: true,
        title: 'Confirm',
        message: 'Want to delete',
        cancel: true,
        persistent: true
      }).onOk(() => {
          this.tasks.splice(index,1)

      })
     },
     addTask() {
       this.tasks.push({
         title:this.newTask,
         done: false
       })
       this.newTask=''
     }
  }


}
</script>
<style lang="scss">
   .done {
     .q-item__label {
       text-decoration: line-through;
       color: #bbb;
     }
   }
   .no-tasks
   {
     opacity:0.5;
   }
</style>